let
  currentTheme = catppuccin-mocha;

  catppuccin-frappe = "catppuccin-frappe";
  catppuccin-latte = "catppuccin-latte";
  catppuccin-macchiato = "catppuccin-macchiato";
  catppuccin-mocha = "catppuccin-mocha";
  dracula = "dracula";

in
{
  themes = {
    currentTheme = currentTheme;
    font = {
      name = "MonaspiceRn Nerd Font";
    };
    palettes =
      let
        palettePath = ./palettes;
        catppuccinPath = /catppuccin;
      in
      {
        ${catppuccin-frappe} = import (palettePath + catppuccinPath + /frappe);
        ${catppuccin-latte} = import (palettePath + catppuccinPath + /latte);
        ${catppuccin-macchiato} = import (palettePath + catppuccinPath + /macchiato);
        ${catppuccin-mocha} = import (palettePath + catppuccinPath + /mocha);
        ${dracula} = import (palettePath + /dracula);
      };
  };
}
